package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabGicMemberTagItemImport;

public interface MemberTagItemImportMapper {
    /**
     * 根据主键删除
     *
     * @param tagItemImportId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String tagItemImportId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicMemberTagItemImport record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicMemberTagItemImport record);

    /**
     * 根据主键查询
     *
     * @param tagItemImportId 主键
     * @return 实体对象
     */
    TabGicMemberTagItemImport selectByPrimaryKey(String tagItemImportId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicMemberTagItemImport record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicMemberTagItemImport record);
}